[data-scroll='in'] .char {
  -webkit-transform: rotateX(90deg);
  transform: rotateX(90deg);
  -webkit-animation-delay: calc(0.1s + var(--char-index) * 0.1s);
  animation-delay: calc(0.1s + var(--char-index) * 0.1s);
  animation: unfolding 0.1s forwards;
}

.text--folding [data-scroll='out'] .word {
  -webkit-transform: rotateX(90deg);
  transform: rotateX(90deg);
  -webkit-transform-origin: bottom;
  transform-origin: bottom;
}

.text .char {
  display: inline-block;
  -webkit-animation-delay: calc(0.1s + var(--char-index) * 0.1s);
  animation-delay: calc(0.1s + var(--char-index) * 0.1s);
}

.text .word {
  display: inline-block;
}

@keyframes unfolding {
  0% {
    -webkit-transform: rotateX(90deg);
    transform: rotateX(90deg);
  }
  100% {
    -webkit-transform: rotateX(0deg);
    transform: rotateX(0deg);
  }
}
